package cn.com.countrygarden.bi.main.dao.sys;

import cn.com.countrygarden.bi.main.core.Mapper;
import cn.com.countrygarden.bi.main.model.sys.Menu;
import org.apache.ibatis.annotations.Param;

import java.util.List;


public interface MenuMapper extends Mapper<Menu> {
    List<Menu> findByUserCode(@Param("userCode") String userCode);

    List<Menu> selectAllMenus();
    
    List<Menu> selectTreeMenuByRole(@Param("userCode") String userCode);
    
    Menu queryDataById(Integer id);

    int checkExistChildNodes(Integer id);
}